#ifndef DIGITAL_IN_H_
#define DIGITAL_IN_H_

/**** Includes ****/
#include <stdint.h>

namespace bsp {

/**** Public definitions ****/
class Memory
{	
	public:
	Memory(void);
	~Memory(void);
	
	uint8_t read_8b(uint16_t address);
	uint16_t read_16b(uint16_t address);
	uint32_t read_32b(uint16_t address);
	
	void write_8b(uint16_t address, uint8_t value);
	void write_16b(uint16_t address, uint16_t value);
	void write_32b(uint16_t address, uint32_t value);
	
	#ifndef TESTING
	protected:
	#endif
};

/**** Public function declarations ****/

#ifdef TESTING
#endif

} //namespace

#endif /* DIGITAL_IN_H_ */